SQLITE3_STR_FINISH(3)

NAME
sqlite3_str_finish - finalize a dynamic string

SYNOPSIS
#include <sqlite3.h>
char *
sqlite3_str_finish(sqlite3_str*);

DESCRIPTION
The sqlite3_str_finish(X) interface destroys the sqlite3_str object X and returns a pointer to a memory buffer obtained from sqlite3_malloc64() that contains the constructed string. The calling application should pass the returned value to sqlite3_free() to avoid a memory leak. The sqlite3_str_finish(X) interface may return a NULL pointer if any errors were encountered during construction of the string. The sqlite3_str_finish(X) interface will also return a NULL pointer if the string in sqlite3_str object X is zero bytes long.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 8427.

    SQLITE_API char *sqlite3_str_finish(sqlite3_str*);

SEE ALSO
sqlite3_malloc(3), sqlite3_str(3)